> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate Report



## OpenAPI

````yaml /api-reference/openapi-filtered.json post /insight/{rec_id}/regenerate/
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /insight/{rec_id}/regenerate/:
    post:
      tags:
        - insight
      summary: Regenerate Report
      operationId: regenerate_report_insight__rec_id__regenerate__post
      parameters:
        - name: rec_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Rec Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReGenerateRecordRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReGenerateRecordRequest:
      properties:
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        report_language:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Language
        participant_count:
          anyOf:
            - type: integer
              maximum: 15
              minimum: 1
            - type: 'null'
          title: Participant Count
          description: Number of participants from 1 to 15
        respondent_known_names:
          items:
            type: string
          type: array
          title: Respondent Known Names
          default: []
        is_with_transcript:
          type: boolean
          title: Is With Transcript
          default: true
        is_with_insight_report:
          type: boolean
          title: Is With Insight Report
          default: false
        goals:
          anyOf:
            - type: string
              maxLength: 10000
            - type: 'null'
          title: Goals
        notes:
          anyOf:
            - type: string
              maxLength: 20000
            - type: 'null'
          title: Notes
        guide:
          anyOf:
            - type: string
              maxLength: 20000
            - type: 'null'
          title: Guide
        custom_prompt:
          anyOf:
            - type: string
              maxLength: 15000
            - type: 'null'
          title: Custom Prompt
          description: Custom prompt for Custom report generation
        report_types:
          items:
            type: string
          type: array
          title: Report Types
          description: >-
            Types of reports to generate: Q&A, General, JTBD (legacy), JTBD,
            Persona, Custom
          default:
            - Q&A
            - General
      type: object
      title: ReGenerateRecordRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````